LastModifiedResolvedResource (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Class LastModifiedResolvedResource

    java.lang.Object
      org.apache.ivy.plugins.resolver.util.ResolvedResource
          org.codehaus.groovy.grails.resolve.LastModifiedResolvedResource

    public class LastModifiedResolvedResource
    extends org.apache.ivy.plugins.resolver.util.ResolvedResource

Correctly handles last modified in a resolved Ivy resource.

Authors:
  Luke Daley
  Graeme Rocher

Since:
  2.0

Constructor Summary
`LastModifiedResolvedResource(org.apache.ivy.plugins.repository.Resource res, java.lang.String rev)`
`LastModifiedResolvedResource(org.apache.ivy.plugins.repository.Resource res, java.lang.String rev, long lastModified)`

Method Summary
`long` | `getLastModified()`

Methods inherited from class org.apache.ivy.plugins.resolver.util.ResolvedResource
org.apache.ivy.plugins.resolver.util.ResolvedResource#getLastModified(), org.apache.ivy.plugins.resolver.util.ResolvedResource#getRevision(), org.apache.ivy.plugins.resolver.util.ResolvedResource#toString(), org.apache.ivy.plugins.resolver.util.ResolvedResource#getResource(), org.apache.ivy.plugins.resolver.util.ResolvedResource#wait(long, int), org.apache.ivy.plugins.resolver.util.ResolvedResource#wait(long), org.apache.ivy.plugins.resolver.util.ResolvedResource#wait(), org.apache.ivy.plugins.resolver.util.ResolvedResource#equals(java.lang.Object), org.apache.ivy.plugins.resolver.util.ResolvedResource#hashCode(), org.apache.ivy.plugins.resolver.util.ResolvedResource#getClass(), org.apache.ivy.plugins.resolver.util.ResolvedResource#notify(), org.apache.ivy.plugins.resolver.util.ResolvedResource#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### LastModifiedResolvedResource

    public LastModifiedResolvedResource(org.apache.ivy.plugins.repository.Resource res, java.lang.String rev)

### LastModifiedResolvedResource

    public LastModifiedResolvedResource(org.apache.ivy.plugins.repository.Resource res, java.lang.String rev, long lastModified)

Method Detail

### getLastModified

    @java.lang.Override
    public long getLastModified()

Groovy Documentation